xcb_dbe_get_visual_info(3)

NAME
xcb_dbe_get_visual_info - Requests visuals that support double buffering

SYNOPSIS
#include <xcb/dbe.h>

  Request function

xcb_dbe_get_visual_info_cookie_t xcb_dbe_get_visual_info(xcb_connection_t *conn, uint32_t n_drawables, const xcb_drawable_t *drawables);

  Reply datastructure

typedef struct xcb_dbe_get_visual_info_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t n_supported_visuals;
    uint8_t  pad1[20];
} xcb_dbe_get_visual_info_reply_t;

  Reply function

xcb_dbe_get_visual_info_reply_t *xcb_dbe_get_visual_info_reply(xcb_connection_t *conn, xcb_dbe_get_visual_info_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

int xcb_dbe_get_visual_info_supported_visuals_length(const xcb_dbe_get_visual_info_reply_t *reply);

xcb_dbe_visual_infos_iterator_t xcb_dbe_get_visual_info_supported_visuals_iterator(const xcb_dbe_get_visual_info_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

n_drawables
    TODO: NOT YET DOCUMENTED.

drawables
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_DBE_GET_VISUAL_INFO. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

n_supported_visuals
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_dbe_get_visual_info_cookie_t. Errors have to be handled when calling the reply function xcb_dbe_get_visual_info_reply. If you want to handle errors in the event loop instead, use xcb_dbe_get_visual_info_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from dbe.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.